#!/usr/bin/perl
#	setup.pl cache-dir

my $cache_dir = shift @ARGV;

die "Usage: setup.pl cache_dir\n" if ($cache_dir eq '');

foreach my $file (qw/README README.txt/) {
	print "Checking for $file ...\n";
	if (-f $file) {
		print "Unlinking $file (obsolete)\n";
		unlink($file);
	}
}

foreach my $dir ($cache_dir, "$cache_dir/private") {
	if (!-d $dir) {
		print "Doing mkdir($dir, 0755)\n";
		mkdir($dir, 0755);
	}
	if (!-w $dir) {
		die "$dir is not writeable by you!\n";
	}
}

# Remove these directories if they exist (obsolete)
# later rmdir $cache_dir/tmp, just not now as I may want it in future

foreach my $rmdir ("$cache_dir/head") {
	if (-d $rmdir) {
		print "Doing 'rm -rf $rmdir' (obsolete)\n";
		system("rm -rf $rmdir");
	}
}

exit(0);
